﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.1/TaskFactory_2017.1.5.209.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = 'BC5A33411D05F3C90113F7BA3F37D3D1CD15630CA177AE91CBC95BEBC004C248'
  checksumType = 'sha256'
  checksum64 = 'QkM1QTMzNDExRDA1RjNDOTAxMTNGN0JBM0YzN0QzRDFDRDE1NjMwQ0ExNzdBRTkxQ0JDOTVCRUJDMDA0QzI0OA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
